net.snowflake.client.log

## Class SFLoggerFactory

- java.lang.Object
- - net.snowflake.client.log.SFLoggerFactory

    public class SFLoggerFactory
    extends Object

Used to create SFLogger instance Created by hyu on 11/17/16.

### Constructor Summary

Constructors
Constructor and Description
`SFLoggerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SFLogger` `getLogger(Class<?> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFLoggerFactory

    public SFLoggerFactory()

### Method Detail

#### getLogger

    public static SFLogger getLogger(Class<?> clazz)

Parameters:
  `clazz` - Class type that the logger is instantiated
Returns:
  An SFLogger instance given the name of the class